// Oleg Petruny proprietary.

#pragma once

#include "Components/ActorComponent.h"
#include "CoreMinimal.h"

#include "InteractableModificator.generated.h"

enum class EActivatorType : uint8;

UCLASS(Abstract, Blueprintable, BlueprintType)
class UInteractableModificator : public UActorComponent
{
    GENERATED_BODY()

public:
    const class UInputMappingContext* GetMappingContext() const;
    EActivatorType GetActivatorTypes() const;

protected:
    UPROPERTY(EditDefaultsOnly)
    TSoftObjectPtr<class UInputMappingContext> inputMapping;

    UPROPERTY(EditAnywhere, meta = (Bitmask, BitmaskEnum = "EActivatorType"))
    uint8 activatorTypes = 0;
};
